My Oracle Support Banner

Steps to Configure Apache 2.x with WebLogic Server using WLS Plugin (Doc ID 2665202.1)

Last updated on OCTOBER 27, 2022

Applies to:

Oracle WebLogic Server - Version 12.2.1.2.0 to 12.2.1.4.0 [Release 12c]
Information in this document applies to any platform.

Goal

Steps to configure Apache 2.x with WebLogic Server using WLS Plugin 

Before Beginning:

Download the Supported Configuration matrix from the following link and verify that you are using a supported version of Apache, WLS plugin and WebLogic Server in your environment.

Link: https://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

Download the xls file and then click on the "WebServer" tab to get a list of supported Web Servers and their compatible versions.

Pre-Requisites:

1) Install Apache and WebLogic Server

2) Create a WebLogic domain with two managed servers in a cluster. 

3) Download Oracle WebLogic Server Proxy Plugins from the following link :

Link: https://www.oracle.com/technetwork/middleware/webtier/downloads/index-jsp-156711.html

Request Flow:

Client ----HTTP---> Apache ---HTTP---> WebLogic

WebLogic ----HTTP----> Apache -----HTTP-----> Client 

This sample configuration is using Apache 2.4, WebLogic Server 12.2.1.3 and WLS plugin version 12.2.1.3

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.